Mangools/API

Get competitors for siteprofiler

Prerequisites

Call /siteprofiler/overview for the same URL first (within the last 24 hours). Without a recent overview lookup the endpoint returns HTTP 429 Not in history.

GET
/siteprofiler/competitors

Authorization

ApiKeyAuth
x-access-token<token>

API token issued for your Mangools account, sent as an API key in the x-access-token HTTP header. This is NOT a standard RFC 6750 Authorization: Bearer <token> header. Auto-generated clients should be configured to send the token in x-access-token accordingly.

In: header

Query Parameters

url*string

Target URL / domain / subdomain

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.mangools.com/v3/siteprofiler/competitors?url=string"
{
  "id": "exampledomain.com",
  "source": "is",
  "competitors": [
    {
      "domainId": "uptrends.com",
      "domain": "uptrends.com",
      "topRank": 1546,
      "fb": null,
      "refIps": null,
      "score": 369
    }
  ]
}
Empty
{
  "error": {
    "type": "AuthError",
    "message": "Invalid API Key"
  }
}
{
  "error": {
    "type": "InvalidInput",
    "message": "Parameter url is invalid"
  }
}
{
  "error": {
    "type": "RateLimit",
    "message": "Not enough limits 2"
  }
}